## org.hibernate.persister
Interface PersisterClassProvider

    public interface PersisterClassProvider

Provides persister classes based on the entity or collection role. The persister class is chosen according to the following rules in decreasing priority: - the persister class defined explicitly via annotation or XML - the persister class returned by the PersisterClassProvider implementation (if not null) - the default provider as chosen by Hibernate Core (best choice most of the time)

Author:
  Emmanuel Bernard <emmanuel@hibernate.org>

Method Summary
`Class<? extends CollectionPersister>` `getCollectionPersisterClass(String collectionPersister)` Returns the collection persister class for a given collection role or null if the collection persister class should be the default.
`Class<? extends EntityPersister>` `getEntityPersisterClass(String entityName)` Returns the entity persister class for a given entityName or null if the entity persister class should be the default.

Method Detail

### getEntityPersisterClass

    Class<? extends EntityPersister> getEntityPersisterClass(String entityName)

  Returns the entity persister class for a given entityName or null if the entity persister class should be the default.

### getCollectionPersisterClass

    Class<? extends CollectionPersister> getCollectionPersisterClass(String collectionPersister)

  Returns the collection persister class for a given collection role or null if the collection persister class should be the default.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.